<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <meta name="description" content="Learn how to search for a module. " /><title>Searching for Modules</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#06-modules/searching-modules.html">Open topic with navigation</a>
        </p>
        <h2>Searching for Modules</h2>
        <ol data-mc-continue="true">
            <li value="1">From within a project, select <b class="UISelection">Modules &gt; Search</b>.</li>
        </ol>
        <ol data-mc-continue="true">
            <li value="2">Enter the name of the name, target, reference ID, or author of the module that you want to find in the <b class="UISelection">Search </b>field. For example, you can search for <code class="usertype">ms08-067</code>. </li>
        </ol>
        <p>
            <img src="../Resources/Images/modules/modules-search-field.png" title="Modules Search Field" alt="Modules Search Field" />
        </p>
        <ol data-mc-continue="true">
            <li value="3">
Press <b class="UISelection">Enter </b>to perform a search. </li>
        </ol>
    </body>
</html>